std::cv_status(3)

NAME
std::cv_status - std::cv_status

Synopsis
   Defined in header <condition_variable>
   enum class cv_status {
   no_timeout, (since C++11)
   timeout
   };
   The scoped enumeration std::cv_status describes whether a timed wait returned
   because of timeout or not.
   std::cv_status is used by the wait_for and wait_until member functions of
   std::condition_variable and std::condition_variable_any.

Member constants
   Constant Explanation
   no_timeout the condition variable was awakened with notify_all, notify_one, or
              spuriously
   timeout the condition variable was awakened by timeout expiration

See also
              blocks the current thread until the condition variable is woken up or
   wait_for after the specified timeout duration
              (public member function of std::condition_variable)
              blocks the current thread until the condition variable is woken up or
   wait_for after the specified timeout duration
              (public member function of std::condition_variable_any)
              blocks the current thread until the condition variable is woken up or
   wait_until until specified time point has been reached
              (public member function of std::condition_variable)
              blocks the current thread until the condition variable is woken up or
   wait_until until specified time point has been reached
              (public member function of std::condition_variable_any)